;
;   (asm.inc)
;

RETURN_SUCCESS   equ  0
RETURN_FAILURE   equ  1


;address
BOOTINFO_ADDRESS     equ 0x7c00
BOOT2_ADDRESS        equ 0x800    ;リアルモードで使うため、16で割ってある
TSS_ADDRESS          equ 0x31ff00


;BootInfo
BINFO_VRAM_ADDRESS   equ 8
BINFO_VRAM_X_MAX     equ 12
BINFO_VRAM_Y_MAX     equ 14
BINFO_VRAM_LINE      equ 16

;VBE
GUI_VBE_MODE       equ 0x103

;IPL
LOAD_SIZE          equ  32
CYLINDERS          equ  18
HEADS              equ  1

;boot2
KERNEL_BIN_LOAD_SIZE equ 0x50000 ;バイト単位で指定

;GDT
GDT_DATA_SELECTOR      equ 2*8

;GDTR/LDTR
GDTR_ADDRESS equ 0x9000
LDTR_ADDRESS equ 0x9006

GDT_USERCODE_SELECTOR equ   4*8
GDT_USERDATA_SELECTOR equ   5*8

