#!/usr/bin/env perl
#
#
#  Color Echo
#
#

use strict;
use warnings;

if(!(defined $ARGV[0])){
  exit(1);
}


my $text = $ARGV[0];

$text =~ s/{black}/\x1b[30m/;
$text =~ s/{red}/\x1b[31m/;
$text =~ s/{green}/\x1b[32m/;
$text =~ s/{yellow}/\x1b[33m/;
$text =~ s/{blue}/\x1b[34m/;
$text =~ s/{magenta}/\x1b[35m/;
$text =~ s/{cyan}/\x1b[36m/;
$text =~ s/{white}/\x1b[37m/;
$text =~ s/{reset}/\x1b[39m/;
$text =~ s/{b_black}/\x1b[40m/;
$text =~ s/{b_red}/\x1b[41m/;
$text =~ s/{b_green}/\x1b[42m/;
$text =~ s/{b_yellow}/\x1b[44m/;
$text =~ s/{b_blue}/\x1b[44m/;
$text =~ s/{b_magenta}/\x1b[45m/;
$text =~ s/{b_cyan}/\x1b[46m/;
$text =~ s/{b_white}/\x1b[47m/;
$text =~ s/{b_reset}/\x1b[49m/;

$text =~ s/{d_bold}/\x1b[1m/;
$text =~ s/{d_under}/\x1b[4m/;
$text =~ s/{d_inv}/\x1b[7m/;
$text =~ s/{d_reset}/\x1b[0m/;

$text =~ s/\\n/\n/g;

print "$text\n";

