
ENTRY       (boot3)
OUTPUT_ARCH (i386)


MEMORY{
  INS_AREA (rx) : org = 0x100000, l = 3M
  BSS_AREA (rx) : org = 0xd00000, l = 3M
}


SECTIONS{

  .text :{
	*(.entry);
	*(.text);
  }

  .data ALIGN (0x1000) :{
	*(.data);
  }

  .rodata ALIGN (0x1000) :{
	*(.rodata);
  }

  .bss : {
    *(.bss);
  } > BSS_AREA


  end = .;
}

