#!/usr/bin/env perl
#
#
#  IPL部分にいろんな情報を追加
#
#

use strict;
use warnings;


#
#  $ARGV[0]: ディスクイメージのファイルパス
#

# 引数がきちんとあるかチェック
if(@ARGV < 1){
  die "too few arguments.";
}

my $filepath = shift;
my $size     = -s $filepath;


#ファイルを開いて書き込む
open(FH, "+<$filepath") or die "File open error.";
binmode FH;

sysseek(FH, 3, 1);
print FH pack("I", $size);
close(FH);

